## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 5;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%if 0%{?epel}
%global debug_package %{nil}
%endif

Name:           moarvm
Version:        2023.05
Release:        %autorelease
Summary:        Metamodel On A Runtime Virtual Machine
License:        Artistic-2.0
URL:            https://moarvm.org/
Source:         https://github.com/MoarVM/MoarVM/releases/download/%{version}/MoarVM-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  perl
BuildRequires:  libffi-devel
BuildRequires:  libatomic_ops-devel
BuildRequires:  libtommath-devel
BuildRequires:  libuv-devel
BuildRequires:  libzstd-devel
BuildRequires:  mimalloc-devel

%description
MoarVM (short for Metamodel On A Runtime Virtual Machine) is a runtime built
for the 6model object system. It is primarily aimed at running NQP and Rakudo,
but should be able to serve as a backend for any compilers built using the NQP
compiler toolchain.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       libuv-devel
Requires:       mimalloc-devel
Requires:       libffi-devel
Requires:       libtommath-devel
Requires:       libzstd-devel

%description devel
This package contains development files for developing applications that use
%{name}.

%prep
%autosetup -p1 -n MoarVM-%{version}

# remove bundled libraries
rm -r 3rdparty/libuv
rm -r 3rdparty/libatomicops
rm -r 3rdparty/dyncall
rm -r 3rdparty/libtommath
rm -r 3rdparty/mimalloc

%build
%{__perl} Configure.pl --prefix=%{_prefix} --libdir=%{_libdir} \
  --has-libuv \
  --has-libffi \
  --has-libatomic_ops \
  --has-libtommath \
  --has-mimalloc

%make_build

%install
%make_install

chmod 755 %{buildroot}%{_libdir}/libmoar.so

%files
%license LICENSE
%doc CREDITS docs
%{_bindir}/moar
%{_libdir}/libmoar.so
%{_datadir}/nqp/

%files devel
%{_includedir}/moar/
%{_datadir}/pkgconfig/moar.pc

%changelog
* Fri Jun 09 2023 topazus <topazus@outlook.com> - 2023.05-5
- fix runtime dependencies of moarvm-devel

* Wed Jun 07 2023 topazus <topazus@outlook.com> - 2023.05-3
- fix

* Wed Jun 07 2023 topazus <topazus@outlook.com> - 2023.05-2
- disable debuginfo for epel

* Wed Jun 07 2023 topazus <topazus@outlook.com> - 2023.05-1
- update to 2023.05

* Sat Apr 22 2023 topazus <topazus@outlook.com> - 2023.04-1
- Update to 2023.04

* Sat Feb 25 2023 topazus <topazus@outlook.com> - 2023.02-1
- update to 2023.02
